aboutsummaryrefslogtreecommitdiffstats
path: root/openwrt/package/miau/files/S50miau
diff options
context:
space:
mode:
Diffstat (limited to 'openwrt/package/miau/files/S50miau')
-rwxr-xr-xopenwrt/package/miau/files/S50miau32
1 files changed, 0 insertions, 32 deletions
diff --git a/openwrt/package/miau/files/S50miau b/openwrt/package/miau/files/S50miau
deleted file mode 100755
index beef3105dd..0000000000
--- a/openwrt/package/miau/files/S50miau
+++ /dev/null
@@ -1,32 +0,0 @@
-#!/bin/sh
-
-DEFAULT="/etc/default/miau"
-OPTIONS="-d /etc/miau/"
-LOG_DIR="/var/log/miau"
-ERR_LOG="$LOG_DIR/error.log"
-OUT_LOG="$LOG_DIR/miau.log"
-
-[ -f $DEFAULT ] && . $DEFAULT
-[ "$ENABLE_MIAU" = "yes" ] || exit 0
-
-case $1 in
- start)
- [ -f /var/run/miau.pid ] && echo "[ERROR] miau is running"
- [ -f /var/run/miau.pid ] && exit 0
- [ -d /var/run ] || mkdir -p /var/run
- [ -d $LOG_DIR ] || mkdir -p $LOG_DIR
- /usr/bin/miau -f $OPTIONS > $OUT_LOG 2> $ERR_LOG &
- PID=$!
- sleep 1
- [ -d /proc/$PID ] && echo $PID > /var/run/miau.pid
- [ -d /proc/$PID ] || echo "[ERROR] Unable to run miau as a daemon"
- ;;
- stop)
- [ -f /var/run/miau.pid ] && kill $(cat /var/run/miau.pid) >/dev/null 2>&1 && rm /var/run/miau.pid
- ;;
- *)
- echo "usage: $0 (start|stop)"
- exit 1
-esac
-
-exit $?